<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Elenco Articoli</title>
    <style>
        /* Impostazioni generali della pagina */
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f7f9fc;
            margin: 0;
            padding: 20px;
            color: #333;
        }

        h1 {
            text-align: center;
            font-size: 36px;
            margin-bottom: 30px;
            color: #4CAF50;
            font-weight: bold;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
        }

        th, td {
            padding: 12px 15px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #4CAF50;
            color: white;
            font-size: 18px;
        }

        tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        tr:hover {
            background-color: #e9f7e9;
        }

        .price {
            color: #2ecc71;
            font-weight: bold;
        }

        .no-items {
            text-align: center;
            font-size: 18px;
            color: #ff0000;
        }
    </style>
</head>
<body>
    <h1>Elenco degli Articoli</h1>


<?php
// Dati di connessione al database
$host = 'localhost';
$dbname = 'TPS5g';
$username = 'TPS5g'; // Inserisci il tuo username per il database
$password = 'pw.24TPS5g'; // Inserisci la tua password per il database

try {
    // Connessione al database usando PDO
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    // Impostiamo l'errore a modalità eccezione
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Query per recuperare gli articoli
    $sql = "SELECT Marca, TipoArticolo, CodiceArticolo, Descrizione, Prezzo FROM articoli";
    $stmt = $pdo->query($sql); // Eseguiamo la query

    // Verifica se ci sono articoli
    if ($stmt->rowCount() > 0) {
        // Iniziamo la tabella HTML
        echo '<table>
                <thead>
                    <tr>
                        <th>Marca</th>
                        <th>Tipo Articolo</th>
                        <th>Codice Articolo</th>
                        <th>Descrizione</th>
                        <th>Prezzo</th>
                    </tr>
                </thead>
                <tbody>';

        // Cicliamo su ogni risultato e mostriamo i dati
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            echo '<tr>
                    <td>' . htmlspecialchars($row['Marca']) . '</td>
                    <td>' . htmlspecialchars($row['TipoArticolo']) . '</td>
                    <td>' . htmlspecialchars($row['CodiceArticolo']) . '</td>
                    <td>' . htmlspecialchars($row['Descrizione']) . '</td>
                    <td class="price">€ ' . number_format($row['Prezzo'], 2) . '</td>
                  </tr>';
        }

        // Chiudiamo il corpo della tabella
        echo '</tbody></table>';
    } else {
        echo "<p class='no-items'>Nessun articolo trovato.</p>";
    }

} catch (PDOException $e) {
    // Gestiamo gli errori di connessione
    echo "Errore nella connessione al database: " . $e->getMessage();
}

// Chiudiamo la connessione
$pdo = null;
?>
    <!-- La tabella sarà generata dal codice PHP -->
</body>
</html>